Zum Hauptinhalt springen
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
role-assignments
Erstellen Sie eine Rollenzuweisung für ein Konto
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject_id": "<string>"
}
'
{
  "expanded_capability_keys": [
    "<string>"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource_type": "<string>",
  "role_key": "<string>",
  "subject_id": "<string>",
  "subject_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Pfadparameter

account_id
string<uuid>
erforderlich

Body

application/json

Anforderungsschema zum Erstellen einer neuen Rollenzuweisung.

resource_id
string<uuid>
erforderlich

Ressourcenbezeichner des Zuweisungsbereichs

resource_type
enum<string>
erforderlich

Ressourcentyp des Zuweisungsbereichs

Verfügbare Optionen:
client,
account,
workspace,
domain,
dns_record,
mailbox,
redirect,
forwarding,
credential,
tenant,
route,
proxy
role_key
enum<string>
erforderlich

Codedefinierter Rollenschlüssel

Verfügbare Optionen:
viewer,
editor,
domain_manager,
manager,
dns_manager,
ip_manager,
billing_viewer,
billing_admin,
credential_manager
subject_id
string
erforderlich

Kennung für Benutzer, Gruppe oder Dienstkonto

Minimum string length: 1
subject_type
enum<string>
erforderlich

Subjekttyp der Rollenzuweisung: user, group oder service_account

Verfügbare Optionen:
user,
group,
service_account

Antwort

expanded_capability_keys
string[]
erforderlich
id
string<uuid>
erforderlich
resource_id
string<uuid>
erforderlich
resource_type
string
erforderlich
role_key
string
erforderlich
subject_id
string
erforderlich
subject_type
string
erforderlich
created_at
string<date-time> | null
revoked_at
string<date-time> | null